> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/voucher.md).

# Voucher

Issue vouchers in VARIO Cloud via API: create them, assign codes, check and book balances, release reservations, cancel bookings and activate or deactivate.

Gutscheine ausstellen, bebuchen und prüfen

## POST /erp/vouchers/{id}/records/{recordId}/cancel

> Storniert eine Gutscheinbuchung durch eine Gegenbuchung

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Voucher","description":"Gutscheine ausstellen, bebuchen und prüfen"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/vouchers/{id}/records/{recordId}/cancel":{"post":{"tags":["Voucher"],"summary":"Storniert eine Gutscheinbuchung durch eine Gegenbuchung","operationId":"cancelRecord","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"recordId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"comment","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-voucher-Voucher"}}}}}}}},"components":{"schemas":{"erp-voucher-Voucher":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"voucherType":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Internal voucher number","readOnly":true},"code":{"type":"string","description":"Redemption code"},"externalNumber":{"type":"string","description":"External number"},"validFrom":{"type":"string","format":"date","description":"Valid from"},"validUntil":{"type":"string","format":"date","description":"Valid until"},"active":{"type":"boolean","default":false,"description":"Released for use?"},"blockedByDocument":{"type":"boolean","description":"Blocked by a document?","readOnly":true},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remainderOfVoucher":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"category":{"type":"string","description":"Category adopted on issue","enum":["MULTI_PURPOSE","SINGLE_PURPOSE"],"readOnly":true},"maxRedemptions":{"type":"integer","format":"int32","description":"Maximum number of redemptions, adopted on issue","readOnly":true},"transferable":{"type":"boolean","description":"Transferability, adopted on issue","readOnly":true},"payoutAllowed":{"type":"boolean","description":"Payout permission, adopted on issue","readOnly":true},"noRemainderVoucher":{"type":"boolean","description":"No remainder voucher, adopted on issue","readOnly":true},"discountable":{"type":"boolean","description":"Discountability of the sale, adopted on issue","readOnly":true},"cashDiscountable":{"type":"boolean","description":"Cash discountability of the sale, adopted on issue","readOnly":true},"taxRate":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxPerformanceLocation":{"type":"string","description":"Tax situation of the issue","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state of the issue","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"exchangeRate":{"type":"number","description":"Exchange rate used"},"baseCurrency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sumIssued":{"type":"number","description":"Sum of top-ups","readOnly":true},"sumRedeemed":{"type":"number","description":"Sum of redemptions","readOnly":true},"sumReserved":{"type":"number","description":"Balance bound by reservations","readOnly":true},"balance":{"type":"number","description":"Balance disregarding reservations; on creation the opening amount, which is booked as issue"},"availableBalance":{"type":"number","description":"Balance still available","readOnly":true},"redemptionCount":{"type":"integer","format":"int32","description":"Number of redemptions","readOnly":true},"balanceState":{"type":"string","description":"Balance state","enum":["OPEN","PARTIALLY_REDEEMED","REDEEMED","CANCELLED"],"readOnly":true},"comment":{"type":"string","description":"Comment"},"locked":{"type":"boolean","description":"Is the voucher locked?","readOnly":true},"records":{"type":"array","description":"Records of the voucher","items":{"$ref":"#/components/schemas/erp-voucher-VoucherRecord"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-voucher-VoucherRecord":{"description":"Records of the voucher","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"origin":{"type":"string","description":"Origin of the record","enum":["ISSUE","REDEMPTION","REDEMPTION_DISSOLVED","CREDIT_NOTE","CREDIT_NOTE_DISSOLVED","REMAINDER_TRANSFERRED","CANCELLATION","CANCELLATION_REVOKED","PAYOUT","IMPORT","ADJUSTMENT_INCREASE","ADJUSTMENT_DECREASE","RESERVATION","RESERVATION_RELEASED"]},"amount":{"type":"number","description":"Record amount, always positive"},"baseAmount":{"type":"number","description":"Record amount in base currency"},"recordDate":{"type":"string","format":"date","description":"Record date"},"number":{"type":"string","description":"Transaction number"},"comment":{"type":"string","description":"Comment"},"externalReference":{"type":"string","description":"Reference of the calling system"},"expiresAt":{"type":"string","format":"date-time","description":"Expiry of a reservation"},"revertedBy":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentLine":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItem":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItemRecord":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"locked":{"type":"boolean","description":"Is the record locked?"}}}}}}
```

## POST /erp/vouchers/{id}/records

> Bucht auf einen Gutschein

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Voucher","description":"Gutscheine ausstellen, bebuchen und prüfen"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/vouchers/{id}/records":{"post":{"tags":["Voucher"],"summary":"Bucht auf einen Gutschein","operationId":"book","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-voucher-VoucherBookingRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-voucher-Voucher"}}}}}}}},"components":{"schemas":{"erp-voucher-VoucherBookingRequest":{"properties":{"origin":{"type":"string","description":"Origin of the record","enum":["ISSUE","REDEMPTION","REDEMPTION_DISSOLVED","CREDIT_NOTE","CREDIT_NOTE_DISSOLVED","REMAINDER_TRANSFERRED","CANCELLATION","CANCELLATION_REVOKED","PAYOUT","IMPORT","ADJUSTMENT_INCREASE","ADJUSTMENT_DECREASE","RESERVATION","RESERVATION_RELEASED"]},"amount":{"type":"number","description":"Amount, always positive"},"recordDate":{"type":"string","format":"date","description":"Record date, today if omitted"},"number":{"type":"string","description":"Transaction number"},"comment":{"type":"string","description":"Comment"},"externalReference":{"type":"string","description":"Reference of the calling system; a repeated booking with the same reference is not executed a second time"},"expiresAt":{"type":"string","format":"date-time","description":"Expiry of a reservation"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["amount","origin"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-voucher-Voucher":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"voucherType":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Internal voucher number","readOnly":true},"code":{"type":"string","description":"Redemption code"},"externalNumber":{"type":"string","description":"External number"},"validFrom":{"type":"string","format":"date","description":"Valid from"},"validUntil":{"type":"string","format":"date","description":"Valid until"},"active":{"type":"boolean","default":false,"description":"Released for use?"},"blockedByDocument":{"type":"boolean","description":"Blocked by a document?","readOnly":true},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remainderOfVoucher":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"category":{"type":"string","description":"Category adopted on issue","enum":["MULTI_PURPOSE","SINGLE_PURPOSE"],"readOnly":true},"maxRedemptions":{"type":"integer","format":"int32","description":"Maximum number of redemptions, adopted on issue","readOnly":true},"transferable":{"type":"boolean","description":"Transferability, adopted on issue","readOnly":true},"payoutAllowed":{"type":"boolean","description":"Payout permission, adopted on issue","readOnly":true},"noRemainderVoucher":{"type":"boolean","description":"No remainder voucher, adopted on issue","readOnly":true},"discountable":{"type":"boolean","description":"Discountability of the sale, adopted on issue","readOnly":true},"cashDiscountable":{"type":"boolean","description":"Cash discountability of the sale, adopted on issue","readOnly":true},"taxRate":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxPerformanceLocation":{"type":"string","description":"Tax situation of the issue","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state of the issue","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"exchangeRate":{"type":"number","description":"Exchange rate used"},"baseCurrency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sumIssued":{"type":"number","description":"Sum of top-ups","readOnly":true},"sumRedeemed":{"type":"number","description":"Sum of redemptions","readOnly":true},"sumReserved":{"type":"number","description":"Balance bound by reservations","readOnly":true},"balance":{"type":"number","description":"Balance disregarding reservations; on creation the opening amount, which is booked as issue"},"availableBalance":{"type":"number","description":"Balance still available","readOnly":true},"redemptionCount":{"type":"integer","format":"int32","description":"Number of redemptions","readOnly":true},"balanceState":{"type":"string","description":"Balance state","enum":["OPEN","PARTIALLY_REDEEMED","REDEEMED","CANCELLED"],"readOnly":true},"comment":{"type":"string","description":"Comment"},"locked":{"type":"boolean","description":"Is the voucher locked?","readOnly":true},"records":{"type":"array","description":"Records of the voucher","items":{"$ref":"#/components/schemas/erp-voucher-VoucherRecord"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-voucher-VoucherRecord":{"description":"Records of the voucher","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"origin":{"type":"string","description":"Origin of the record","enum":["ISSUE","REDEMPTION","REDEMPTION_DISSOLVED","CREDIT_NOTE","CREDIT_NOTE_DISSOLVED","REMAINDER_TRANSFERRED","CANCELLATION","CANCELLATION_REVOKED","PAYOUT","IMPORT","ADJUSTMENT_INCREASE","ADJUSTMENT_DECREASE","RESERVATION","RESERVATION_RELEASED"]},"amount":{"type":"number","description":"Record amount, always positive"},"baseAmount":{"type":"number","description":"Record amount in base currency"},"recordDate":{"type":"string","format":"date","description":"Record date"},"number":{"type":"string","description":"Transaction number"},"comment":{"type":"string","description":"Comment"},"externalReference":{"type":"string","description":"Reference of the calling system"},"expiresAt":{"type":"string","format":"date-time","description":"Expiry of a reservation"},"revertedBy":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentLine":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItem":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItemRecord":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"locked":{"type":"boolean","description":"Is the record locked?"}}}}}}
```

## POST /erp/vouchers/{id}/recalculate

> Berechnet das Guthaben neu und gleicht es bei Bedarf per Saldenanpassung an

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Voucher","description":"Gutscheine ausstellen, bebuchen und prüfen"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/vouchers/{id}/recalculate":{"post":{"tags":["Voucher"],"summary":"Berechnet das Guthaben neu und gleicht es bei Bedarf per Saldenanpassung an","operationId":"recalculate_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"newBalance","in":"query","required":false,"schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-voucher-Voucher"}}}}}}}},"components":{"schemas":{"erp-voucher-Voucher":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"voucherType":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Internal voucher number","readOnly":true},"code":{"type":"string","description":"Redemption code"},"externalNumber":{"type":"string","description":"External number"},"validFrom":{"type":"string","format":"date","description":"Valid from"},"validUntil":{"type":"string","format":"date","description":"Valid until"},"active":{"type":"boolean","default":false,"description":"Released for use?"},"blockedByDocument":{"type":"boolean","description":"Blocked by a document?","readOnly":true},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remainderOfVoucher":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"category":{"type":"string","description":"Category adopted on issue","enum":["MULTI_PURPOSE","SINGLE_PURPOSE"],"readOnly":true},"maxRedemptions":{"type":"integer","format":"int32","description":"Maximum number of redemptions, adopted on issue","readOnly":true},"transferable":{"type":"boolean","description":"Transferability, adopted on issue","readOnly":true},"payoutAllowed":{"type":"boolean","description":"Payout permission, adopted on issue","readOnly":true},"noRemainderVoucher":{"type":"boolean","description":"No remainder voucher, adopted on issue","readOnly":true},"discountable":{"type":"boolean","description":"Discountability of the sale, adopted on issue","readOnly":true},"cashDiscountable":{"type":"boolean","description":"Cash discountability of the sale, adopted on issue","readOnly":true},"taxRate":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxPerformanceLocation":{"type":"string","description":"Tax situation of the issue","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state of the issue","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"exchangeRate":{"type":"number","description":"Exchange rate used"},"baseCurrency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sumIssued":{"type":"number","description":"Sum of top-ups","readOnly":true},"sumRedeemed":{"type":"number","description":"Sum of redemptions","readOnly":true},"sumReserved":{"type":"number","description":"Balance bound by reservations","readOnly":true},"balance":{"type":"number","description":"Balance disregarding reservations; on creation the opening amount, which is booked as issue"},"availableBalance":{"type":"number","description":"Balance still available","readOnly":true},"redemptionCount":{"type":"integer","format":"int32","description":"Number of redemptions","readOnly":true},"balanceState":{"type":"string","description":"Balance state","enum":["OPEN","PARTIALLY_REDEEMED","REDEEMED","CANCELLED"],"readOnly":true},"comment":{"type":"string","description":"Comment"},"locked":{"type":"boolean","description":"Is the voucher locked?","readOnly":true},"records":{"type":"array","description":"Records of the voucher","items":{"$ref":"#/components/schemas/erp-voucher-VoucherRecord"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-voucher-VoucherRecord":{"description":"Records of the voucher","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"origin":{"type":"string","description":"Origin of the record","enum":["ISSUE","REDEMPTION","REDEMPTION_DISSOLVED","CREDIT_NOTE","CREDIT_NOTE_DISSOLVED","REMAINDER_TRANSFERRED","CANCELLATION","CANCELLATION_REVOKED","PAYOUT","IMPORT","ADJUSTMENT_INCREASE","ADJUSTMENT_DECREASE","RESERVATION","RESERVATION_RELEASED"]},"amount":{"type":"number","description":"Record amount, always positive"},"baseAmount":{"type":"number","description":"Record amount in base currency"},"recordDate":{"type":"string","format":"date","description":"Record date"},"number":{"type":"string","description":"Transaction number"},"comment":{"type":"string","description":"Comment"},"externalReference":{"type":"string","description":"Reference of the calling system"},"expiresAt":{"type":"string","format":"date-time","description":"Expiry of a reservation"},"revertedBy":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentLine":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItem":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItemRecord":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"locked":{"type":"boolean","description":"Is the record locked?"}}}}}}
```

## POST /erp/vouchers/{id}/deactivate

> Nimmt einem Gutschein die Freigabe

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Voucher","description":"Gutscheine ausstellen, bebuchen und prüfen"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/vouchers/{id}/deactivate":{"post":{"tags":["Voucher"],"summary":"Nimmt einem Gutschein die Freigabe","operationId":"deactivate_73","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-voucher-Voucher"}}}}}}}},"components":{"schemas":{"erp-voucher-Voucher":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"voucherType":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Internal voucher number","readOnly":true},"code":{"type":"string","description":"Redemption code"},"externalNumber":{"type":"string","description":"External number"},"validFrom":{"type":"string","format":"date","description":"Valid from"},"validUntil":{"type":"string","format":"date","description":"Valid until"},"active":{"type":"boolean","default":false,"description":"Released for use?"},"blockedByDocument":{"type":"boolean","description":"Blocked by a document?","readOnly":true},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remainderOfVoucher":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"category":{"type":"string","description":"Category adopted on issue","enum":["MULTI_PURPOSE","SINGLE_PURPOSE"],"readOnly":true},"maxRedemptions":{"type":"integer","format":"int32","description":"Maximum number of redemptions, adopted on issue","readOnly":true},"transferable":{"type":"boolean","description":"Transferability, adopted on issue","readOnly":true},"payoutAllowed":{"type":"boolean","description":"Payout permission, adopted on issue","readOnly":true},"noRemainderVoucher":{"type":"boolean","description":"No remainder voucher, adopted on issue","readOnly":true},"discountable":{"type":"boolean","description":"Discountability of the sale, adopted on issue","readOnly":true},"cashDiscountable":{"type":"boolean","description":"Cash discountability of the sale, adopted on issue","readOnly":true},"taxRate":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxPerformanceLocation":{"type":"string","description":"Tax situation of the issue","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state of the issue","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"exchangeRate":{"type":"number","description":"Exchange rate used"},"baseCurrency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sumIssued":{"type":"number","description":"Sum of top-ups","readOnly":true},"sumRedeemed":{"type":"number","description":"Sum of redemptions","readOnly":true},"sumReserved":{"type":"number","description":"Balance bound by reservations","readOnly":true},"balance":{"type":"number","description":"Balance disregarding reservations; on creation the opening amount, which is booked as issue"},"availableBalance":{"type":"number","description":"Balance still available","readOnly":true},"redemptionCount":{"type":"integer","format":"int32","description":"Number of redemptions","readOnly":true},"balanceState":{"type":"string","description":"Balance state","enum":["OPEN","PARTIALLY_REDEEMED","REDEEMED","CANCELLED"],"readOnly":true},"comment":{"type":"string","description":"Comment"},"locked":{"type":"boolean","description":"Is the voucher locked?","readOnly":true},"records":{"type":"array","description":"Records of the voucher","items":{"$ref":"#/components/schemas/erp-voucher-VoucherRecord"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-voucher-VoucherRecord":{"description":"Records of the voucher","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"origin":{"type":"string","description":"Origin of the record","enum":["ISSUE","REDEMPTION","REDEMPTION_DISSOLVED","CREDIT_NOTE","CREDIT_NOTE_DISSOLVED","REMAINDER_TRANSFERRED","CANCELLATION","CANCELLATION_REVOKED","PAYOUT","IMPORT","ADJUSTMENT_INCREASE","ADJUSTMENT_DECREASE","RESERVATION","RESERVATION_RELEASED"]},"amount":{"type":"number","description":"Record amount, always positive"},"baseAmount":{"type":"number","description":"Record amount in base currency"},"recordDate":{"type":"string","format":"date","description":"Record date"},"number":{"type":"string","description":"Transaction number"},"comment":{"type":"string","description":"Comment"},"externalReference":{"type":"string","description":"Reference of the calling system"},"expiresAt":{"type":"string","format":"date-time","description":"Expiry of a reservation"},"revertedBy":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentLine":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItem":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItemRecord":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"locked":{"type":"boolean","description":"Is the record locked?"}}}}}}
```

## POST /erp/vouchers/{id}/assign-code

> Versieht einen Gutschein mit einem gescannten Code

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Voucher","description":"Gutscheine ausstellen, bebuchen und prüfen"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/vouchers/{id}/assign-code":{"post":{"tags":["Voucher"],"summary":"Versieht einen Gutschein mit einem gescannten Code","operationId":"assignCode","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"code","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-voucher-Voucher"}}}}}}}},"components":{"schemas":{"erp-voucher-Voucher":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"voucherType":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Internal voucher number","readOnly":true},"code":{"type":"string","description":"Redemption code"},"externalNumber":{"type":"string","description":"External number"},"validFrom":{"type":"string","format":"date","description":"Valid from"},"validUntil":{"type":"string","format":"date","description":"Valid until"},"active":{"type":"boolean","default":false,"description":"Released for use?"},"blockedByDocument":{"type":"boolean","description":"Blocked by a document?","readOnly":true},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remainderOfVoucher":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"category":{"type":"string","description":"Category adopted on issue","enum":["MULTI_PURPOSE","SINGLE_PURPOSE"],"readOnly":true},"maxRedemptions":{"type":"integer","format":"int32","description":"Maximum number of redemptions, adopted on issue","readOnly":true},"transferable":{"type":"boolean","description":"Transferability, adopted on issue","readOnly":true},"payoutAllowed":{"type":"boolean","description":"Payout permission, adopted on issue","readOnly":true},"noRemainderVoucher":{"type":"boolean","description":"No remainder voucher, adopted on issue","readOnly":true},"discountable":{"type":"boolean","description":"Discountability of the sale, adopted on issue","readOnly":true},"cashDiscountable":{"type":"boolean","description":"Cash discountability of the sale, adopted on issue","readOnly":true},"taxRate":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxPerformanceLocation":{"type":"string","description":"Tax situation of the issue","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state of the issue","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"exchangeRate":{"type":"number","description":"Exchange rate used"},"baseCurrency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sumIssued":{"type":"number","description":"Sum of top-ups","readOnly":true},"sumRedeemed":{"type":"number","description":"Sum of redemptions","readOnly":true},"sumReserved":{"type":"number","description":"Balance bound by reservations","readOnly":true},"balance":{"type":"number","description":"Balance disregarding reservations; on creation the opening amount, which is booked as issue"},"availableBalance":{"type":"number","description":"Balance still available","readOnly":true},"redemptionCount":{"type":"integer","format":"int32","description":"Number of redemptions","readOnly":true},"balanceState":{"type":"string","description":"Balance state","enum":["OPEN","PARTIALLY_REDEEMED","REDEEMED","CANCELLED"],"readOnly":true},"comment":{"type":"string","description":"Comment"},"locked":{"type":"boolean","description":"Is the voucher locked?","readOnly":true},"records":{"type":"array","description":"Records of the voucher","items":{"$ref":"#/components/schemas/erp-voucher-VoucherRecord"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-voucher-VoucherRecord":{"description":"Records of the voucher","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"origin":{"type":"string","description":"Origin of the record","enum":["ISSUE","REDEMPTION","REDEMPTION_DISSOLVED","CREDIT_NOTE","CREDIT_NOTE_DISSOLVED","REMAINDER_TRANSFERRED","CANCELLATION","CANCELLATION_REVOKED","PAYOUT","IMPORT","ADJUSTMENT_INCREASE","ADJUSTMENT_DECREASE","RESERVATION","RESERVATION_RELEASED"]},"amount":{"type":"number","description":"Record amount, always positive"},"baseAmount":{"type":"number","description":"Record amount in base currency"},"recordDate":{"type":"string","format":"date","description":"Record date"},"number":{"type":"string","description":"Transaction number"},"comment":{"type":"string","description":"Comment"},"externalReference":{"type":"string","description":"Reference of the calling system"},"expiresAt":{"type":"string","format":"date-time","description":"Expiry of a reservation"},"revertedBy":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentLine":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItem":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItemRecord":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"locked":{"type":"boolean","description":"Is the record locked?"}}}}}}
```

## POST /erp/vouchers/{id}/activate

> Gibt einen Gutschein zur Nutzung frei

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Voucher","description":"Gutscheine ausstellen, bebuchen und prüfen"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/vouchers/{id}/activate":{"post":{"tags":["Voucher"],"summary":"Gibt einen Gutschein zur Nutzung frei","operationId":"activate_73","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-voucher-Voucher"}}}}}}}},"components":{"schemas":{"erp-voucher-Voucher":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"voucherType":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Internal voucher number","readOnly":true},"code":{"type":"string","description":"Redemption code"},"externalNumber":{"type":"string","description":"External number"},"validFrom":{"type":"string","format":"date","description":"Valid from"},"validUntil":{"type":"string","format":"date","description":"Valid until"},"active":{"type":"boolean","default":false,"description":"Released for use?"},"blockedByDocument":{"type":"boolean","description":"Blocked by a document?","readOnly":true},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remainderOfVoucher":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"category":{"type":"string","description":"Category adopted on issue","enum":["MULTI_PURPOSE","SINGLE_PURPOSE"],"readOnly":true},"maxRedemptions":{"type":"integer","format":"int32","description":"Maximum number of redemptions, adopted on issue","readOnly":true},"transferable":{"type":"boolean","description":"Transferability, adopted on issue","readOnly":true},"payoutAllowed":{"type":"boolean","description":"Payout permission, adopted on issue","readOnly":true},"noRemainderVoucher":{"type":"boolean","description":"No remainder voucher, adopted on issue","readOnly":true},"discountable":{"type":"boolean","description":"Discountability of the sale, adopted on issue","readOnly":true},"cashDiscountable":{"type":"boolean","description":"Cash discountability of the sale, adopted on issue","readOnly":true},"taxRate":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxPerformanceLocation":{"type":"string","description":"Tax situation of the issue","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state of the issue","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"exchangeRate":{"type":"number","description":"Exchange rate used"},"baseCurrency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sumIssued":{"type":"number","description":"Sum of top-ups","readOnly":true},"sumRedeemed":{"type":"number","description":"Sum of redemptions","readOnly":true},"sumReserved":{"type":"number","description":"Balance bound by reservations","readOnly":true},"balance":{"type":"number","description":"Balance disregarding reservations; on creation the opening amount, which is booked as issue"},"availableBalance":{"type":"number","description":"Balance still available","readOnly":true},"redemptionCount":{"type":"integer","format":"int32","description":"Number of redemptions","readOnly":true},"balanceState":{"type":"string","description":"Balance state","enum":["OPEN","PARTIALLY_REDEEMED","REDEEMED","CANCELLED"],"readOnly":true},"comment":{"type":"string","description":"Comment"},"locked":{"type":"boolean","description":"Is the voucher locked?","readOnly":true},"records":{"type":"array","description":"Records of the voucher","items":{"$ref":"#/components/schemas/erp-voucher-VoucherRecord"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-voucher-VoucherRecord":{"description":"Records of the voucher","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"origin":{"type":"string","description":"Origin of the record","enum":["ISSUE","REDEMPTION","REDEMPTION_DISSOLVED","CREDIT_NOTE","CREDIT_NOTE_DISSOLVED","REMAINDER_TRANSFERRED","CANCELLATION","CANCELLATION_REVOKED","PAYOUT","IMPORT","ADJUSTMENT_INCREASE","ADJUSTMENT_DECREASE","RESERVATION","RESERVATION_RELEASED"]},"amount":{"type":"number","description":"Record amount, always positive"},"baseAmount":{"type":"number","description":"Record amount in base currency"},"recordDate":{"type":"string","format":"date","description":"Record date"},"number":{"type":"string","description":"Transaction number"},"comment":{"type":"string","description":"Comment"},"externalReference":{"type":"string","description":"Reference of the calling system"},"expiresAt":{"type":"string","format":"date-time","description":"Expiry of a reservation"},"revertedBy":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentLine":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItem":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItemRecord":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"locked":{"type":"boolean","description":"Is the record locked?"}}}}}}
```

## POST /erp/vouchers

> Legt einen Gutschein an, vergibt Nummer, Gültigkeit und Code und stellt ein mitgegebenes Guthaben aus

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Voucher","description":"Gutscheine ausstellen, bebuchen und prüfen"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/vouchers":{"post":{"tags":["Voucher"],"summary":"Legt einen Gutschein an, vergibt Nummer, Gültigkeit und Code und stellt ein mitgegebenes Guthaben aus","operationId":"create_87","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-voucher-Voucher"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-voucher-Voucher"}}}}}}}},"components":{"schemas":{"erp-voucher-Voucher":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"voucherType":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Internal voucher number","readOnly":true},"code":{"type":"string","description":"Redemption code"},"externalNumber":{"type":"string","description":"External number"},"validFrom":{"type":"string","format":"date","description":"Valid from"},"validUntil":{"type":"string","format":"date","description":"Valid until"},"active":{"type":"boolean","default":false,"description":"Released for use?"},"blockedByDocument":{"type":"boolean","description":"Blocked by a document?","readOnly":true},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remainderOfVoucher":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"category":{"type":"string","description":"Category adopted on issue","enum":["MULTI_PURPOSE","SINGLE_PURPOSE"],"readOnly":true},"maxRedemptions":{"type":"integer","format":"int32","description":"Maximum number of redemptions, adopted on issue","readOnly":true},"transferable":{"type":"boolean","description":"Transferability, adopted on issue","readOnly":true},"payoutAllowed":{"type":"boolean","description":"Payout permission, adopted on issue","readOnly":true},"noRemainderVoucher":{"type":"boolean","description":"No remainder voucher, adopted on issue","readOnly":true},"discountable":{"type":"boolean","description":"Discountability of the sale, adopted on issue","readOnly":true},"cashDiscountable":{"type":"boolean","description":"Cash discountability of the sale, adopted on issue","readOnly":true},"taxRate":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxPerformanceLocation":{"type":"string","description":"Tax situation of the issue","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state of the issue","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"exchangeRate":{"type":"number","description":"Exchange rate used"},"baseCurrency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sumIssued":{"type":"number","description":"Sum of top-ups","readOnly":true},"sumRedeemed":{"type":"number","description":"Sum of redemptions","readOnly":true},"sumReserved":{"type":"number","description":"Balance bound by reservations","readOnly":true},"balance":{"type":"number","description":"Balance disregarding reservations; on creation the opening amount, which is booked as issue"},"availableBalance":{"type":"number","description":"Balance still available","readOnly":true},"redemptionCount":{"type":"integer","format":"int32","description":"Number of redemptions","readOnly":true},"balanceState":{"type":"string","description":"Balance state","enum":["OPEN","PARTIALLY_REDEEMED","REDEEMED","CANCELLED"],"readOnly":true},"comment":{"type":"string","description":"Comment"},"locked":{"type":"boolean","description":"Is the voucher locked?","readOnly":true},"records":{"type":"array","description":"Records of the voucher","items":{"$ref":"#/components/schemas/erp-voucher-VoucherRecord"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-voucher-VoucherRecord":{"description":"Records of the voucher","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"origin":{"type":"string","description":"Origin of the record","enum":["ISSUE","REDEMPTION","REDEMPTION_DISSOLVED","CREDIT_NOTE","CREDIT_NOTE_DISSOLVED","REMAINDER_TRANSFERRED","CANCELLATION","CANCELLATION_REVOKED","PAYOUT","IMPORT","ADJUSTMENT_INCREASE","ADJUSTMENT_DECREASE","RESERVATION","RESERVATION_RELEASED"]},"amount":{"type":"number","description":"Record amount, always positive"},"baseAmount":{"type":"number","description":"Record amount in base currency"},"recordDate":{"type":"string","format":"date","description":"Record date"},"number":{"type":"string","description":"Transaction number"},"comment":{"type":"string","description":"Comment"},"externalReference":{"type":"string","description":"Reference of the calling system"},"expiresAt":{"type":"string","format":"date-time","description":"Expiry of a reservation"},"revertedBy":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentLine":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItem":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItemRecord":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"locked":{"type":"boolean","description":"Is the record locked?"}}}}}}
```

## GET /erp/vouchers/{id}

> Liest einen Gutschein

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Voucher","description":"Gutscheine ausstellen, bebuchen und prüfen"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/vouchers/{id}":{"get":{"tags":["Voucher"],"summary":"Liest einen Gutschein","operationId":"readById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-voucher-Voucher"}}}}}}}},"components":{"schemas":{"erp-voucher-Voucher":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"voucherType":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Internal voucher number","readOnly":true},"code":{"type":"string","description":"Redemption code"},"externalNumber":{"type":"string","description":"External number"},"validFrom":{"type":"string","format":"date","description":"Valid from"},"validUntil":{"type":"string","format":"date","description":"Valid until"},"active":{"type":"boolean","default":false,"description":"Released for use?"},"blockedByDocument":{"type":"boolean","description":"Blocked by a document?","readOnly":true},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remainderOfVoucher":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"category":{"type":"string","description":"Category adopted on issue","enum":["MULTI_PURPOSE","SINGLE_PURPOSE"],"readOnly":true},"maxRedemptions":{"type":"integer","format":"int32","description":"Maximum number of redemptions, adopted on issue","readOnly":true},"transferable":{"type":"boolean","description":"Transferability, adopted on issue","readOnly":true},"payoutAllowed":{"type":"boolean","description":"Payout permission, adopted on issue","readOnly":true},"noRemainderVoucher":{"type":"boolean","description":"No remainder voucher, adopted on issue","readOnly":true},"discountable":{"type":"boolean","description":"Discountability of the sale, adopted on issue","readOnly":true},"cashDiscountable":{"type":"boolean","description":"Cash discountability of the sale, adopted on issue","readOnly":true},"taxRate":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxPerformanceLocation":{"type":"string","description":"Tax situation of the issue","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state of the issue","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"exchangeRate":{"type":"number","description":"Exchange rate used"},"baseCurrency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sumIssued":{"type":"number","description":"Sum of top-ups","readOnly":true},"sumRedeemed":{"type":"number","description":"Sum of redemptions","readOnly":true},"sumReserved":{"type":"number","description":"Balance bound by reservations","readOnly":true},"balance":{"type":"number","description":"Balance disregarding reservations; on creation the opening amount, which is booked as issue"},"availableBalance":{"type":"number","description":"Balance still available","readOnly":true},"redemptionCount":{"type":"integer","format":"int32","description":"Number of redemptions","readOnly":true},"balanceState":{"type":"string","description":"Balance state","enum":["OPEN","PARTIALLY_REDEEMED","REDEEMED","CANCELLED"],"readOnly":true},"comment":{"type":"string","description":"Comment"},"locked":{"type":"boolean","description":"Is the voucher locked?","readOnly":true},"records":{"type":"array","description":"Records of the voucher","items":{"$ref":"#/components/schemas/erp-voucher-VoucherRecord"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-voucher-VoucherRecord":{"description":"Records of the voucher","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"origin":{"type":"string","description":"Origin of the record","enum":["ISSUE","REDEMPTION","REDEMPTION_DISSOLVED","CREDIT_NOTE","CREDIT_NOTE_DISSOLVED","REMAINDER_TRANSFERRED","CANCELLATION","CANCELLATION_REVOKED","PAYOUT","IMPORT","ADJUSTMENT_INCREASE","ADJUSTMENT_DECREASE","RESERVATION","RESERVATION_RELEASED"]},"amount":{"type":"number","description":"Record amount, always positive"},"baseAmount":{"type":"number","description":"Record amount in base currency"},"recordDate":{"type":"string","format":"date","description":"Record date"},"number":{"type":"string","description":"Transaction number"},"comment":{"type":"string","description":"Comment"},"externalReference":{"type":"string","description":"Reference of the calling system"},"expiresAt":{"type":"string","format":"date-time","description":"Expiry of a reservation"},"revertedBy":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentLine":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItem":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItemRecord":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"locked":{"type":"boolean","description":"Is the record locked?"}}}}}}
```

## GET /erp/vouchers/by-code/{code}

> Prüft, ob ein Gutschein über den angegebenen Betrag eingelöst werden kann

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Voucher","description":"Gutscheine ausstellen, bebuchen und prüfen"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/vouchers/by-code/{code}":{"get":{"tags":["Voucher"],"summary":"Prüft, ob ein Gutschein über den angegebenen Betrag eingelöst werden kann","operationId":"checkByCode","parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string"}},{"name":"amount","in":"query","required":false,"schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-voucher-VoucherRedemptionCheck"}}}}}}}},"components":{"schemas":{"erp-voucher-VoucherRedemptionCheck":{"properties":{"voucher":{"$ref":"#/components/schemas/erp-voucher-Voucher"},"redeemable":{"type":"boolean","description":"Can be redeemed?"},"rejectionCode":{"type":"string","description":"Code of the rejection reason"},"rejectionMessage":{"type":"string","description":"Description of the rejection reason"},"rejectionMessageParameters":{"type":"object","additionalProperties":{"type":"object","description":"Parameters of the rejection message, keyed by their placeholder names, for callers translating the message via its rejection code"},"description":"Parameters of the rejection message, keyed by their placeholder names, for callers translating the message via its rejection code"}}},"erp-voucher-Voucher":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"voucherType":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Internal voucher number","readOnly":true},"code":{"type":"string","description":"Redemption code"},"externalNumber":{"type":"string","description":"External number"},"validFrom":{"type":"string","format":"date","description":"Valid from"},"validUntil":{"type":"string","format":"date","description":"Valid until"},"active":{"type":"boolean","default":false,"description":"Released for use?"},"blockedByDocument":{"type":"boolean","description":"Blocked by a document?","readOnly":true},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remainderOfVoucher":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"category":{"type":"string","description":"Category adopted on issue","enum":["MULTI_PURPOSE","SINGLE_PURPOSE"],"readOnly":true},"maxRedemptions":{"type":"integer","format":"int32","description":"Maximum number of redemptions, adopted on issue","readOnly":true},"transferable":{"type":"boolean","description":"Transferability, adopted on issue","readOnly":true},"payoutAllowed":{"type":"boolean","description":"Payout permission, adopted on issue","readOnly":true},"noRemainderVoucher":{"type":"boolean","description":"No remainder voucher, adopted on issue","readOnly":true},"discountable":{"type":"boolean","description":"Discountability of the sale, adopted on issue","readOnly":true},"cashDiscountable":{"type":"boolean","description":"Cash discountability of the sale, adopted on issue","readOnly":true},"taxRate":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxPerformanceLocation":{"type":"string","description":"Tax situation of the issue","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state of the issue","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"exchangeRate":{"type":"number","description":"Exchange rate used"},"baseCurrency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sumIssued":{"type":"number","description":"Sum of top-ups","readOnly":true},"sumRedeemed":{"type":"number","description":"Sum of redemptions","readOnly":true},"sumReserved":{"type":"number","description":"Balance bound by reservations","readOnly":true},"balance":{"type":"number","description":"Balance disregarding reservations; on creation the opening amount, which is booked as issue"},"availableBalance":{"type":"number","description":"Balance still available","readOnly":true},"redemptionCount":{"type":"integer","format":"int32","description":"Number of redemptions","readOnly":true},"balanceState":{"type":"string","description":"Balance state","enum":["OPEN","PARTIALLY_REDEEMED","REDEEMED","CANCELLED"],"readOnly":true},"comment":{"type":"string","description":"Comment"},"locked":{"type":"boolean","description":"Is the voucher locked?","readOnly":true},"records":{"type":"array","description":"Records of the voucher","items":{"$ref":"#/components/schemas/erp-voucher-VoucherRecord"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-voucher-VoucherRecord":{"description":"Records of the voucher","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"origin":{"type":"string","description":"Origin of the record","enum":["ISSUE","REDEMPTION","REDEMPTION_DISSOLVED","CREDIT_NOTE","CREDIT_NOTE_DISSOLVED","REMAINDER_TRANSFERRED","CANCELLATION","CANCELLATION_REVOKED","PAYOUT","IMPORT","ADJUSTMENT_INCREASE","ADJUSTMENT_DECREASE","RESERVATION","RESERVATION_RELEASED"]},"amount":{"type":"number","description":"Record amount, always positive"},"baseAmount":{"type":"number","description":"Record amount in base currency"},"recordDate":{"type":"string","format":"date","description":"Record date"},"number":{"type":"string","description":"Transaction number"},"comment":{"type":"string","description":"Comment"},"externalReference":{"type":"string","description":"Reference of the calling system"},"expiresAt":{"type":"string","format":"date-time","description":"Expiry of a reservation"},"revertedBy":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentLine":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItem":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItemRecord":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"locked":{"type":"boolean","description":"Is the record locked?"}}}}}}
```

## DELETE /erp/vouchers/{id}/reservations/{externalReference}

> Gibt eine Vormerkung über die Kennung des vormerkenden Systems frei

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Voucher","description":"Gutscheine ausstellen, bebuchen und prüfen"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/vouchers/{id}/reservations/{externalReference}":{"delete":{"tags":["Voucher"],"summary":"Gibt eine Vormerkung über die Kennung des vormerkenden Systems frei","operationId":"releaseReservation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"externalReference","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-voucher-Voucher"}}}}}}}},"components":{"schemas":{"erp-voucher-Voucher":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"voucherType":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Internal voucher number","readOnly":true},"code":{"type":"string","description":"Redemption code"},"externalNumber":{"type":"string","description":"External number"},"validFrom":{"type":"string","format":"date","description":"Valid from"},"validUntil":{"type":"string","format":"date","description":"Valid until"},"active":{"type":"boolean","default":false,"description":"Released for use?"},"blockedByDocument":{"type":"boolean","description":"Blocked by a document?","readOnly":true},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remainderOfVoucher":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"category":{"type":"string","description":"Category adopted on issue","enum":["MULTI_PURPOSE","SINGLE_PURPOSE"],"readOnly":true},"maxRedemptions":{"type":"integer","format":"int32","description":"Maximum number of redemptions, adopted on issue","readOnly":true},"transferable":{"type":"boolean","description":"Transferability, adopted on issue","readOnly":true},"payoutAllowed":{"type":"boolean","description":"Payout permission, adopted on issue","readOnly":true},"noRemainderVoucher":{"type":"boolean","description":"No remainder voucher, adopted on issue","readOnly":true},"discountable":{"type":"boolean","description":"Discountability of the sale, adopted on issue","readOnly":true},"cashDiscountable":{"type":"boolean","description":"Cash discountability of the sale, adopted on issue","readOnly":true},"taxRate":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxPerformanceLocation":{"type":"string","description":"Tax situation of the issue","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state of the issue","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceCountry":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"exchangeRate":{"type":"number","description":"Exchange rate used"},"baseCurrency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sumIssued":{"type":"number","description":"Sum of top-ups","readOnly":true},"sumRedeemed":{"type":"number","description":"Sum of redemptions","readOnly":true},"sumReserved":{"type":"number","description":"Balance bound by reservations","readOnly":true},"balance":{"type":"number","description":"Balance disregarding reservations; on creation the opening amount, which is booked as issue"},"availableBalance":{"type":"number","description":"Balance still available","readOnly":true},"redemptionCount":{"type":"integer","format":"int32","description":"Number of redemptions","readOnly":true},"balanceState":{"type":"string","description":"Balance state","enum":["OPEN","PARTIALLY_REDEEMED","REDEEMED","CANCELLED"],"readOnly":true},"comment":{"type":"string","description":"Comment"},"locked":{"type":"boolean","description":"Is the voucher locked?","readOnly":true},"records":{"type":"array","description":"Records of the voucher","items":{"$ref":"#/components/schemas/erp-voucher-VoucherRecord"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-voucher-VoucherRecord":{"description":"Records of the voucher","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"origin":{"type":"string","description":"Origin of the record","enum":["ISSUE","REDEMPTION","REDEMPTION_DISSOLVED","CREDIT_NOTE","CREDIT_NOTE_DISSOLVED","REMAINDER_TRANSFERRED","CANCELLATION","CANCELLATION_REVOKED","PAYOUT","IMPORT","ADJUSTMENT_INCREASE","ADJUSTMENT_DECREASE","RESERVATION","RESERVATION_RELEASED"]},"amount":{"type":"number","description":"Record amount, always positive"},"baseAmount":{"type":"number","description":"Record amount in base currency"},"recordDate":{"type":"string","format":"date","description":"Record date"},"number":{"type":"string","description":"Transaction number"},"comment":{"type":"string","description":"Comment"},"externalReference":{"type":"string","description":"Reference of the calling system"},"expiresAt":{"type":"string","format":"date-time","description":"Expiry of a reservation"},"revertedBy":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentLine":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItem":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"openItemRecord":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currency":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"locked":{"type":"boolean","description":"Is the record locked?"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/voucher.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
